summaryrefslogtreecommitdiffstats
path: root/development/eclipse-java/eclipse-java.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'development/eclipse-java/eclipse-java.SlackBuild')
-rw-r--r--development/eclipse-java/eclipse-java.SlackBuild9
1 files changed, 5 insertions, 4 deletions
diff --git a/development/eclipse-java/eclipse-java.SlackBuild b/development/eclipse-java/eclipse-java.SlackBuild
index 03576cdce9..816c910b7a 100644
--- a/development/eclipse-java/eclipse-java.SlackBuild
+++ b/development/eclipse-java/eclipse-java.SlackBuild
@@ -27,8 +27,8 @@
# This script is just a binary repackaging.
PRGNAM=eclipse-java
-VERSION=${VERSION:-4.7}
-SRCVERSION=${SRCVERSION:-oxygen-R}
+VERSION=${VERSION:-4.7.1}
+SRCVERSION=${SRCVERSION:-oxygen-1}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -54,10 +54,11 @@ cd $PKG/opt/$PRGNAM
# ARCH can be 'i586' or 'x86_64'
if [ "$ARCH" = "x86_64" ]; then
tar --strip-components=1 -xvf $CWD/$PRGNAM-$SRCVERSION-linux-gtk-$ARCH.tar.gz
-elif [ "$ARCH" = "i586" ]; then
+elif case "$ARCH" in i?86) true ;; *) false ;; esac ; then
tar --strip-components=1 -xvf $CWD/$PRGNAM-$SRCVERSION-linux-gtk.tar.gz
else
- printf "$ARCH is not supported...\n" ; exit 1
+ printf "$ARCH is not supported...\n"
+ exit 1
fi
chown -R root:root .